## org.apache.lucene.spatial.tier
Class DistanceQueryBuilder

    java.lang.Object
      org.apache.lucene.spatial.tier.DistanceQueryBuilder

    public class DistanceQueryBuilder

extends java.lang.Object

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`DistanceQueryBuilder(double lat, double lng, double miles, java.lang.String geoHashFieldPrefix, java.lang.String tierFieldPrefix, boolean needPrecise)` Create a distance query using a boundary box wrapper around a more precise DistanceFilter.
`DistanceQueryBuilder(double lat, double lng, double miles, java.lang.String latField, java.lang.String lngField, java.lang.String tierFieldPrefix, boolean needPrecise)` Create a distance query using a boundary box wrapper around a more precise DistanceFilter.

Method Summary
`DistanceFilter` `getDistanceFilter()`
`org.apache.lucene.search.Filter` `getFilter()` Create a distance query using a boundary box wrapper around a more precise DistanceFilter.
`org.apache.lucene.search.Filter` `getFilter(org.apache.lucene.search.Query query)`
`double` `getLat()`
`double` `getLng()`
`double` `getMiles()`
`org.apache.lucene.search.Query` `getQuery(org.apache.lucene.search.Query query)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistanceQueryBuilder

    public DistanceQueryBuilder(double lat,
                                double lng,
                                double miles,
                                java.lang.String latField,
                                java.lang.String lngField,
                                java.lang.String tierFieldPrefix,
                                boolean needPrecise)

  Create a distance query using a boundary box wrapper around a more precise DistanceFilter.

  Parameters:
    `lat` -
    `lng` -
    `miles` -

### DistanceQueryBuilder

    public DistanceQueryBuilder(double lat,
                                double lng,
                                double miles,
                                java.lang.String geoHashFieldPrefix,
                                java.lang.String tierFieldPrefix,
                                boolean needPrecise)

  Create a distance query using a boundary box wrapper around a more precise DistanceFilter.

  Parameters:
    `lat` -
    `lng` -
    `miles` -

Method Detail

### getFilter

    public org.apache.lucene.search.Filter getFilter()

  Create a distance query using a boundary box wrapper around a more precise DistanceFilter.

### getFilter

    public org.apache.lucene.search.Filter getFilter(org.apache.lucene.search.Query query)

### getDistanceFilter

    public DistanceFilter getDistanceFilter()

### getQuery

    public org.apache.lucene.search.Query getQuery(org.apache.lucene.search.Query query)

### getLat

    public double getLat()

### getLng

    public double getLng()

### getMiles

    public double getMiles()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.